/**
 * [OElove Webapp] (C)2010-2099 oelove.com biz
 * Email: service@phpcoo.com ,phpcoo@qq.com
 * This is NOT a freeware, use is subject to license terms
 * $ Last update 2020/03/30 by CL $
*/
//获取新消息红点、数字等 0.03.30
function _getMyNews() {
    $.ajax({
        type: "POST",
        url:  _ROOT_PATH+"index.php?m=wap",
        cache: false,
        data: {
            c:'ajax', a:"getnews"
        },
        dataType: "json",
        success: function($data) {
            var $json = eval($data);
            var $response = $json.response;
            var $friend_nums = $json.friend_nums;
            if (typeof($friend_nums) == 'undefined') {
                $friend_nums = 0;
            }
            var $chat_nums = $json.chat_nums;
            if (typeof($chat_nums) == 'undefined') {
                $chat_nums = 0;
            }
            var $msg_nums = $json.msg_nums;
            if (typeof($msg_nums) == 'undefined') {
                $msg_nums = 0;
            }
            var $gift_nums = $json.gift_nums;
            if (typeof($gift_nums) == 'undefined') {
                $gift_nums = 0;
            }
            var $visit_nums = $json.visit_nums;
            if (typeof($visit_nums) == 'undefined') {
                $visit_nums = 0;
            }
            var $fans_nums = $json.fans_nums;
            if (typeof($fans_nums) == 'undefined') {
                $fans_nums = 0;
            }
            if ($response == "1") {
                
                //待处理好友申请数
                if ($friend_nums > 0) {
                    if ($("[f='my_friend_nums']").length > 0) {
                        $("[f='my_friend_nums']").html($friend_nums).show();
                    }
                    if ($("[f='my_friend_tips']").length > 0) {
                        $("[f='my_friend_tips']").show();
                    }
                }
                
                //未读聊天数
                if ($chat_nums > 0) {
                    if ($("[f='my_chat_nums']").length > 0) {
                        $("[f='my_chat_nums']").html($chat_nums).show();
                    }
                    if ($("[f='my_chat_tips']").length > 0) {
                        $("[f='my_chat_tips']").show();
                    }
                }
                //未读系统通知
                if ($msg_nums > 0) {
                    if ($("[f='my_msg_nums']").length > 0) {
                        $("[f='my_msg_nums']").html($msg_nums).show();
                    }
                    if ($("[f='my_msg_tips']").length > 0) {
                        $("[f='my_msg_tips']").show();
                    }
                }
                //合并消息数量
                if ($("[f='my_allmsg_nums']").length > 0) {
                    var $allmsg_nums = (parseInt($chat_nums)+parseInt($msg_nums));
                    if ($allmsg_nums > 0) {
                        $("[f='my_allmsg_nums']").html($allmsg_nums).show();
                        if ($("[f='my_allmsg_tips']").length > 0) {
                            $("[f='my_allmsg_tips']").show();
                        }
                        
                        if ($("[f='my_allmsg_url']").length > 0) {
                            if ($chat_nums == 0 && $msg_nums > 0) {
                                $("[f='my_allmsg_url']").attr('href', WAP_APPFILE+'&c=msg');
                            } 
                        }
                        
                    }
                }
                
                //新收礼物
                if ($gift_nums > 0) {
                    if ($("[f='my_gift_nums']").length > 0) {
                        $("[f='my_gift_nums']").html($gift_nums).show();
                    }
                    if ($("[f='my_gift_tips']").length > 0) {
                        $("[f='my_gift_tips']").show();
                    }
                }
                
                //新访客
                if ($visit_nums > 0) {
                    if ($("[f='my_visit_nums']").length > 0) {
                        $("[f='my_visit_nums']").html($visit_nums).show();
                    }
                    if ($("[f='my_visit_tips']").length > 0) {
                        $("[f='my_visit_tips']").show();
                    }
                }
            }
        },
        error: function() {
        }
    });
}
//清空红点、数字cookie 移到main文件，